This is a Laravel 5 package that provides sooq management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `sooq/sooq`.

    "sooq/sooq": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Sooq\Sooq\Providers\SooqServiceProvider::class,

```

And also add it to alias

```php
'Sooq'  => Sooq\Sooq\Facades\Sooq::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Sooq\Sooq\Providers\SooqServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


